LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XLabelRange Interface Referencepublished

provides access to the settings of a label range in a spreadsheet document. More...

`import"XLabelRange.idl";`

Inheritance diagram for XLabelRange:

## Public Member Functions
com::sun::star::table::CellRangeAddress | getLabelArea ()
| returns the cell range address that contains the labels. More...
void | setLabelArea ([in] com::sun::star::table::CellRangeAddress aLabelArea)
| sets the cell range address that contains the labels. More...
com::sun::star::table::CellRangeAddress | getDataArea ()
| returns the cell range address for which the labels are valid. More...
void | setDataArea ([in] com::sun::star::table::CellRangeAddress aDataArea)
| sets the cell range address for which the labels are valid. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the settings of a label range in a spreadsheet document.

These can be column or row labels, depending on where they are used.

See also
  com::sun::star::sheet::LabelRange

## Member Function Documentation

## ◆ getDataArea()

com::sun::star::table::CellRangeAddress getDataArea | ( |  | ) |

returns the cell range address for which the labels are valid.

## ◆ getLabelArea()

com::sun::star::table::CellRangeAddress getLabelArea | ( |  | ) |

returns the cell range address that contains the labels.

## ◆ setDataArea()

void setDataArea | ( | [in] com::sun::star::table::CellRangeAddress | aDataArea | ) |

sets the cell range address for which the labels are valid.

## ◆ setLabelArea()

void setLabelArea | ( | [in] com::sun::star::table::CellRangeAddress | aLabelArea | ) |

sets the cell range address that contains the labels.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XLabelRange.idl